You are here

Mandriva Powerpack 2007 & docsis-server-2.0.4

2 posts / 0 new
Last post
alex.m
Mandriva Powerpack 2007 & docsis-server-2.0.4

Hello,
I have installed a fresh copy off Mandriva 2007 and then I try to run make to set up DOCSIS server. The message I get is:
[aco@localhost docsis-server-2.0.4]$ make
make -C docsis_lib
make[1]: Entering directory `/home/aco/Download/docsis-server-2.0.4/docsis-server-2.0.4/docsis_lib'
gcc -g -O2 -fPIC -I. -c -o libdocsis.o libdocsis.c
libdocsis.c:44:38: error: net-snmp/net-snmp-config.h: No such file or directory
libdocsis.c:45:32: error: net-snmp/utilities.h: No such file or directory
libdocsis.c:46:33: error: net-snmp/config_api.h: No such file or directory
libdocsis.c:47:33: error: net-snmp/output_api.h: No such file or directory
libdocsis.c:48:30: error: net-snmp/mib_api.h: No such file or directory
libdocsis.c: In function ‘docsis_initialize’:
libdocsis.c:182: error: ‘NETSNMP_DS_LIBRARY_ID’ undeclared (first use in this function)
libdocsis.c:182: error: (Each undeclared identifier is reported only once
libdocsis.c:182: error: for each function it appears in.)
libdocsis.c:182: error: ‘NETSNMP_DS_LIB_PRINT_NUMERIC_OIDS’ undeclared (first use in this function)
libdocsis.c:186: error: ‘NETSNMP_DS_LIB_PRINT_NUMERIC_ENUM’ undeclared (first use in this function)
libdocsis.c:190: error: ‘NETSNMP_DS_LIB_PRINT_FULL_OID’ undeclared (first use in this function)
libdocsis.c:210: error: ‘NETSNMP_DS_LIB_OID_OUTPUT_FORMAT’ undeclared (first use in this function)
libdocsis.c:211: error: ‘NETSNMP_OID_OUTPUT_SUFFIX’ undeclared (first use in this function)
libdocsis.c:213: error: ‘NETSNMP_DS_LIB_RANDOM_ACCESS’ undeclared (first use in this function)
make[1]: *** [libdocsis.o] Error 1
make[1]: Leaving directory `/home/aco/Download/docsis-server-2.0.4/docsis-server-2.0.4/docsis_lib'
make: *** [libdocsis] Error 2
[aco@localhost docsis-server-2.0.4]$

and according on this http://www.docsis.org/node/21 after I put this line:

rpm -qa |grep net-snmp

in my terminal I get this respond:

net-snmp-utils-5.3.1-2mdv2007.0
net-snmp-mibs-5.3.1-2mdv2007.0
libnet-snmp10-5.3.1-2mdv2007.0

can someone tell me what is the problem ?

yoyo
Install net-snmp-devel

You need the development packages for net-snmp so that you can compile your own code (like docsis server). The net-snmp-utils package is strictly binaries (the executable programs themselves) and does not help you compile new programs.

You might run into some other programs that will need the -devel packages installed as well.

docsis